summaryrefslogtreecommitdiff
path: root/test/suite/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/suite/test.sh')
-rwxr-xr-xtest/suite/test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/suite/test.sh b/test/suite/test.sh
index c112351..fe5d696 100755
--- a/test/suite/test.sh
+++ b/test/suite/test.sh
@@ -26,7 +26,7 @@ echo "** ctor_files/ctor.cc.base"
cp ctor_files/ctor.cc.base ctor.cc
# Compile bootstrap binary
-$CXX -pthread -std=c++20 -L${CTORDIR} -lctor -I../../src ctor.cc -o ctor || fail ${LINENO}
+$CXX -pthread $LDFLAGS $CXXFLAGS -std=c++20 -L${CTORDIR} -lctor -I../../src ctor.cc -o ctor || fail ${LINENO}
# No build files should have been created yet
[ -d ${BUILDDIR} ] && fail ${LINENO}